> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranet/b2b/producer > Create an inter-enterprise extranet service (peering, client-to-server, …) ## OpenAPI ````json POST /v1/extranet/b2b/producer { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranet/b2b/producer": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bProducerPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bProducerPostResponse" } } } } }, "description": "Create an inter-enterprise extranet service (peering, client-to-server, …)" } } }, "components": { "schemas": { "v1ExtranetB2bProducerPostRequest": { "type": "object", "properties": { "policy": { "$ref": "#/components/schemas/manaV2ExtranetServiceProducerPolicy" }, "serviceName": { "type": "string", "example": "example string", "description": " (required)" }, "serviceType": { "type": "string", "example": "ENUM_VALUE", "description": "Branded extranet service type (peering_service, client_to_server, …) (required)" } }, "additionalProperties": false, "required": [ "policy", "serviceName", "serviceType" ] }, "v1ExtranetB2bProducerPostResponse": { "type": "object", "properties": { "activityId": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "policy": { "$ref": "#/components/schemas/manaV2ExtranetServicePolicyResponse" } }, "additionalProperties": false }, "manaV2ExtranetServiceProducerPolicy": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "globalObjectDeviceSummaries": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectServiceSummaries" } }, "globalObjectOps": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectServiceOps" } }, "natTranslationMode": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationMode" }, "prefixTags": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bExtranetPrefixTag" } }, "serviceLanSegment": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "LAN segment ID for the service" }, "sites": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2B2bSiteInformation" } } }, "additionalProperties": false }, "manaV2ExtranetServicePolicyResponse": { "type": "object", "properties": { "policy": { "$ref": "#/components/schemas/manaV2ExtranetServiceProducerPolicy" }, "serviceName": { "type": "string", "example": "example string" }, "serviceType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2GlobalObjectServiceSummaries": { "type": "object", "properties": { "routingPolicies": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2GlobalObjectSummary" } } }, "additionalProperties": false }, "manaV2GlobalObjectServiceOps": { "type": "object", "properties": { "routingPolicyOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationMode": { "type": "object", "properties": { "centralized": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationCentralized" }, "decentralized": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDecentralized" }, "peerToPeer": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationPeerToPeer" } }, "additionalProperties": false }, "manaV2B2bExtranetPrefixTag": { "type": "object", "properties": { "prefix": { "type": "string", "example": "10.1.2.0/24", "description": "Prefix advertised by the service (required)" }, "tag": { "type": "string", "example": "example string", "description": "Tag for the prefix" } }, "additionalProperties": false, "required": [ "prefix" ] }, "manaV2B2bSiteInformation": { "type": "object", "properties": { "bwAllocationSiteLists": { "type": "integer", "format": "int32", "example": 123, "description": "Total Bandwidth allocation for the service on these site lists" }, "bwAllocationSites": { "type": "integer", "format": "int32", "example": 123, "description": "Total Bandwidth allocation for the service on these sites" }, "policerSiteLists": { "$ref": "#/components/schemas/manaV2Policer" }, "policerSites": { "$ref": "#/components/schemas/manaV2Policer" }, "siteLists": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Site list IDs where the service is deployed" } }, "sites": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Site IDs where the service is deployed" } } }, "additionalProperties": false }, "manaV2GlobalObjectSummary": { "type": "object", "properties": { "attachPoint": { "type": "string", "example": "ENUM_VALUE" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "ipVersion": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "numAttachedDevices": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numAttachedSites": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numFailures": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numInSyncDevices": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numOverrideDevices": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numPolicies": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numPrefixes": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numRules": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "numStatements": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "trafficPolicyType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationCentralized": { "type": "object", "properties": { "prefixes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDevicePrefixes" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationDecentralized": { "type": "object", "properties": { "prefixes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDevicePrefixes" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationPeerToPeer": { "type": "object", "properties": { "prefixes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationPeerToPeerPrefix" } } }, "additionalProperties": false }, "manaV2Policer": { "type": "object", "properties": { "burstSize": { "type": "integer", "format": "int32", "example": 123, "description": "Burst size for the policer (required)" }, "bw": { "type": "integer", "format": "int32", "example": 123, "description": "Bandwidth for the policer (required)" } }, "additionalProperties": false, "required": [ "burstSize", "bw" ] }, "manaV2ExtranetNatTranslationDevicePrefixes": { "type": "object", "properties": { "prefixes": { "type": "array", "items": { "type": "string", "example": "example string", "description": "IPv4 CIDR NAT pool(s) for the device" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationPeerToPeerPrefix": { "type": "object", "properties": { "outsideNatPrefix": { "type": "string", "example": "100.1.2.0/24", "description": "Optional outside address presented for prefix on the far side of the attachment; omit for no NAT on that prefix" }, "prefix": { "type": "string", "example": "10.1.2.0/24", "description": "At match: customer export prefix. At consumer accept/update (peering): subscribed service prefix" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````